Package de.gebit.integrity.runner.results.timeset

## Class TimeSetResult

- java.lang.Object
- - de.gebit.integrity.runner.results.Result
  - - de.gebit.integrity.runner.results.timeset.TimeSetResult

- Direct Known Subclasses:
    `TimeSetExceptionResult`, `TimeSetSuccessResult`

      public abstract class TimeSetResult
      extends Result

  Stores the results of a timeset operation.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeSetResult​(List<ForkDefinition> someForks, Map<String,​org.eclipse.xtext.util.Pair<ZonedDateTime,​Double>> someCurrentDateTimes, Long anExecutionTime)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​org.eclipse.xtext.util.Pair<ZonedDateTime,​Double>>` | `getCurrentDateTimes()` |
    `List<ForkDefinition>` | `getForks()` |

    - ### Methods inherited from class de.gebit.integrity.runner.results.Result

      `getExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSetResult

          public TimeSetResult​(List<ForkDefinition> someForks,
                               Map<String,​org.eclipse.xtext.util.Pair<ZonedDateTime,​Double>> someCurrentDateTimes,
                               Long anExecutionTime)

      Constructor.
      Parameters:
        `someForks` - The forks on which the time was set. The null element in the list means the master process.
        `someCurrentDateTimes` - A complete map of fork names (null = master) to their respective currently valid test date/time, including the current progression speed (0.0 = static time)
        `anExecutionTime` - the time in msecs it took to execute the timeset

  - ### Method Detail

    - #### getForks

          public List<ForkDefinition> getForks()

    - #### getCurrentDateTimes

          public Map<String,​org.eclipse.xtext.util.Pair<ZonedDateTime,​Double>> getCurrentDateTimes()